Subject: Re: CPM2 USB host driver

From: Vitaly Bordug <[email-masked]>
Date: Fri, 30 Nov 2007 14:16:38 +0300

On Fri, 30 Nov 2007 11:45:49 +0100
Laurent Pinchart wrote:

> Hi everybody,
> 
> Linux USB host support for the CPM, CPM2 and CPM2 pro is far from
> complete. Many people showed interest on this list (and on
> linuxppc-embedded) in the past, but nobody managed to complete a
> driver and get it merged.
> 
that is mainly because of its semi-software nature. However, any approach
would be helpful I beleive. 

> As I need USB host support on my MPC8248 (CPM2), I decided to scratch
> the itch and try to get a working driver that could be merged
> upstream. This mail describes my plans to make sure the code I write
> will be useful for other people.
> 
> The driver will be based on the cpm2usb project
> (http://cpm2usb.sf.net/). As I don't own any CPM1-based platform, I
> will convert the driver to use the CPM2 transaction-level interface,
> thus making it incompatible with the CPM1. CPM1 support could be
> added back later. There is no planned release date, and more urgent
> projects could put this development on hold.
> 
> Comments are welcome (and contributions too, especially in the form
> of a working driver :-)).
> 

I may have some WIP material left, will try to dig it out...

> Best regards,

-- 
Sincerely, Vitaly